#
# spec file for package cups (Version 1.1.10)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake ed ghostscript-fonts-std gpp libgpp libjpeg libpng libtiff openssl openssl-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs ed file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext ghostscript-fonts-std glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libjpeg libpng libtiff libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openssl openssl-devel pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         cups
Copyright:	GNU GPL
Group:        System Environment/Daemons
Summary:      Common UNIX Printing System
Version:      1.1.10
Release:      58
Requires:	cups-client = %{version} ghostscript-fonts-std
Source0:	cups-1.1.10-1-source.tar.bz2
Source1:	poll_ppd_base.c
Source2:	lphelp.c
Source3:	dvitops
Source4:	rc.config.cups
Source5:	cupsomatic
Source6:	foomatic-gswrapper
Source7:	ogonki
Source8:	rccups
Source9:	printanalyzer
Source10:	README.SuSE
Source11:	setcupsbroadcasting
Patch1:		usb.dif
Patch2:		czech.dif
Patch3:		cups-g++.patch
Patch4:		patch-mime.dif
Patch5:		patch-manpages.dif
Patch6:		patch-template.dif
Patch7:		template.dif
Patch8:		eps.dif
BuildRoot:	/var/tmp/%{name}-root

%description
The Common UNIX Printing System provides a portable printing layer for
UNIX operating systems like BSD lp or lprng. CUPS provides some additional
features.
http://www.cups.org

Authors:
--------
    Easy Software Products <cups@cups.org>

SuSE series: n

%define INSTALL install -m755 -s
%define INSTALL_SCRIPT install -m755
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
%define CPUs %(grep -c ^processor\  /proc/cpuinfo || echo 1)
%package libs
Summary:      libraries for CUPS
Group:        System Environment/Daemons

%description libs
The Common UNIX Printing System provides a portable printing layer for
UNIX operating systems like BSD lp or lprng. CUPS provides some additional
features.
This package contains libraries needed by CUPS and some other packages.

Authors:
--------
    Easy Software Products <cups@cups.org>

SuSE series: n

%package client
Summary:      CUPS client programs
Group:		Utilities/Printing
Conflicts:	plp lprold lprng
Provides:	print_daemon

%description client
The Common UNIX Printing System provides a portable printing layer for
UNIX operating systems like BSD lp or lprng. CUPS provides some additional
features.
This package contains all programs needed for a running a CUPS client, not server.

Authors:
--------
    Easy Software Products <cups@cups.org>

SuSE series: n

%package devel
Summary:      development environment for CUPS
Group:        System Environment/Daemons
Requires:     cups-libs = %{version}

%description devel
The Common UNIX Printing System provides a portable printing layer for
UNIX operating systems like BSD lp or lprng. CUPS provides some additional
features.
This is the development package.
http://www.cups.org

Authors:
--------
    Easy Software Products <cups@cups.org>

SuSE series: d

%prep
%setup -n %{name}-%{version}
%patch1 -p 0 -E
%patch2 -p 0 -E
%patch3
%patch4
%patch5 -p0 -E
%patch6 -p0 -E
%patch7 -p0 -E
%patch8 -p0 -E

%build
%{?suse_update_config:%{suse_update_config -f . }}
autoreconf --force
export CXXFLAGS="$CXXFLAGS $RPM_OPT_FLAGS -DNDEBUG -O2"
export CFLAGS=$RPM_OPT_FLAGS
./configure \
	--mandir=/usr/share/man/ \
	--sysconfdir=/etc \
	--prefix=/
make
# Compile additional tools
gcc -opoll_ppd_base -I. -I./cups -L./cups -lcups %{SOURCE1}
gcc -olphelp -I. -I./cups -L./cups -lcups %{SOURCE2}

%install
test -n "$RPM_BUILD_ROOT" && rm -rf $RPM_BUILD_ROOT
make	prefix=$RPM_BUILD_ROOT \
	exec_prefix=$RPM_BUILD_ROOT/usr \
	BINDIR=$RPM_BUILD_ROOT/usr/bin \
	DATADIR=$RPM_BUILD_ROOT/usr/share/cups \
	DOCDIR=$RPM_BUILD_ROOT/usr/share/doc/packages/cups \
	INCLUDEDIR=$RPM_BUILD_ROOT/usr/include \
	LIBDIR=$RPM_BUILD_ROOT/usr/lib \
	LOCALEDIR=$RPM_BUILD_ROOT/usr/share/locale \
	LOGDIR=$RPM_BUILD_ROOT/var/log/cups \
	MANDIR=$RPM_BUILD_ROOT/usr/share/man \
	PAMDIR=$RPM_BUILD_ROOT/etc/pam.d \
	REQUESTS=$RPM_BUILD_ROOT/var/spool/cups \
	SBINDIR=$RPM_BUILD_ROOT/usr/sbin \
	SERVERBIN=$RPM_BUILD_ROOT/usr/lib/cups \
	SERVERROOT=$RPM_BUILD_ROOT/etc/cups \
	install
# place CUPS-O-MATIC script in CUPS filter directory
%{INSTALL_SCRIPT} %{SOURCE5} $RPM_BUILD_ROOT/usr/lib/cups/filter
%{INSTALL_SCRIPT} %{SOURCE7} $RPM_BUILD_ROOT/usr/lib/cups/filter
%{INSTALL_SCRIPT} %{SOURCE3} $RPM_BUILD_ROOT/usr/lib/cups/filter
# install foomatic-gswrapper
%{INSTALL_SCRIPT} %{SOURCE6} $RPM_BUILD_ROOT/usr/bin
install -m 0644 conf/printcap $RPM_BUILD_ROOT/etc/
# install the two litte tools
install -m 755 poll_ppd_base $RPM_BUILD_ROOT/usr/bin/
install -m 755 lphelp $RPM_BUILD_ROOT/usr/bin/
# rc.config.cups
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT/var/adm/fillup-templates
%{INSTALL_DIR} $RPM_BUILD_ROOT/etc/init.d
%{INSTALL_SCRIPT} %{SOURCE8} $RPM_BUILD_ROOT/etc/init.d/cups
ln -sf ../../etc/init.d/cups $RPM_BUILD_ROOT/usr/sbin/rccups
ln -sf ../../etc/init.d/cups $RPM_BUILD_ROOT/usr/sbin/rclpd
#
rm -r $RPM_BUILD_ROOT/usr/share/cups/fonts
ln -sf /usr/share/ghostscript/fonts $RPM_BUILD_ROOT/usr/share/cups/
# make directory for ssl files:
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/cups/ssl
touch $RPM_BUILD_ROOT/usr/lib/cups/backend/smb
ln -sf libcupsimage.so.2 $RPM_BUILD_ROOT%{_libdir}/libcupsimage.so
ln -sf libcups.so.2 $RPM_BUILD_ROOT%{_libdir}/libcups.so
ed $RPM_BUILD_ROOT/etc/cups/cupsd.conf <<- EOF
	%s,^#DocumentRoot .*,DocumentRoot /usr/share/doc/packages/cups,
	w
	q
EOF
install -m 644 -D $RPM_SOURCE_DIR/README.SuSE $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/README.SuSE
install -m 755 $RPM_SOURCE_DIR/printanalyzer $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/

%clean
test -n "$RPM_BUILD_ROOT" && rm -rf $RPM_BUILD_ROOT

%pre
rm -rf /usr/share/cups/fonts

%post
# update rc.config
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.cups
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.cups and"
  echo "update by hand."
fi
sbin/insserv etc/init.d/cups
exit 0

%preun

%postun
sbin/insserv etc/init.d/

%files
/usr/lib/cups/backend/http
/usr/lib/cups/backend/ipp
/usr/lib/cups/backend/lpd
/usr/lib/cups/backend/parallel
/usr/lib/cups/backend/serial
/usr/lib/cups/backend/socket
/usr/lib/cups/backend/usb
%ghost /usr/lib/cups/backend/smb
/usr/lib/cups/cgi-bin
/usr/lib/cups/daemon
/usr/lib/cups/filter
/usr/share/cups
/var/log/cups
%{_bindir}/foomatic-gswrapper
%{_bindir}/poll_ppd_base
%{_sbindir}/cupsd
%{_sbindir}/rc*
%config(noreplace) %{_sysconfdir}/cups/certs
%config(noreplace) %{_sysconfdir}/cups/classes.conf
%config(noreplace) %{_sysconfdir}/cups/cupsd.conf
%config(noreplace) %{_sysconfdir}/cups/interfaces
%config(noreplace) %{_sysconfdir}/cups/mime.*
%config(noreplace) %{_sysconfdir}/cups/ppd
%config(noreplace) %{_sysconfdir}/cups/printers.conf
%config(noreplace) %{_sysconfdir}/cups/ssl
%config /etc/pam.d/cups
%config %attr(0755,root,root) /etc/init.d/cups
/var/adm/fillup-templates/rc.config.cups
%doc /usr/share/doc/packages/cups

%files client
%{_bindir}/lp*
%{_bindir}/cancel
%{_bindir}/*able
%{_sbindir}/accept
%{_sbindir}/lp*
%{_sbindir}/reject
%{_datadir}/locale/*
%doc /usr/share/man/man*/*

%files devel
%{_includedir}/cups

%files libs
%dir %attr(0700,lp,root) %{_var}/spool/cups
%dir %attr(01700,lp,root) %{_var}/spool/cups/tmp
%doc %{_defaultdocdir}/%{name}/README.SuSE
%config(noreplace) %{_sysconfdir}/cups/client.conf
/usr/lib/libcups.so.*
/usr/lib/libcupsimage.so.*
/usr/lib/libcups.so
/usr/lib/libcupsimage.so

%changelog -n cups
* Wed Oct 03 2001 - bjacke@suse.de
- fix sec hole where any user was able to put arbitrary html code on server sites
- fix printing of EPS files
* Tue Sep 04 2001 - bjacke@suse.de
- work around cups' broken tmp file handling (#10142)
* Sun Sep 02 2001 - bjacke@suse.de
- move client.conf to libs package
- activate cat8 man pages
- add README.SuSE
- update lphelp
* Thu Aug 30 2001 - bjacke@suse.de
- split into cups-client and cups(-server) package
- add %%ghosty smb printer backend support
- re-add ogonky for non-latin1 charsets (#9864)
- add printanalyzer script in doc
* Mon Aug 27 2001 - utuerk@suse.de
- removed cups.conf (now provided by susehelp)
* Mon Aug 27 2001 - kukuk@suse.de
- Remove -j parameter from spec file
* Sat Aug 25 2001 - bjacke@suse.de
- update to 1.1.10-1 (many fixes)
- fix output for dvi's (bug #9862)
- new poll_ppd_base
* Sun Aug 19 2001 - bjacke@suse.de
- split out cups-libs from cups
- add ssl directory
- make correct links for cups libraries
* Thu Aug 16 2001 - bjacke@suse.de
- use ghostscript fonts which are the same as the cups fonts and adjust
  dependecy for ghostscript-fonts-std
* Sun Aug 12 2001 - bjacke@suse.de
- enable SSL
* Fri Aug 10 2001 - bjacke@suse.de
- correct init script
* Fri Jul 20 2001 - max@suse.de
- new version 1.1.9 .
- updated init script to new skeleton (Bug #8981).
* Mon Jun 18 2001 - max@suse.de
- added support for PS files created by Netscape.
* Sun Apr 15 2001 - schwab@suse.de
- Fix missing declarations.
* Thu Apr 12 2001 - max@suse.de
- moved foomatic-gswrapper and cupsomatic
  from cups-drivers to cups
* Thu Apr 12 2001 - max@suse.de
- patched cupsd to use /dev/urandom instead of /dev/random.
  This fixes bug #6703
* Wed Apr 11 2001 - max@suse.de
- spec file overhaul
- using RPM_BUILD_ROOT now
- removed /etc/printcap from file list
- removed dependency to cups-drivers
* Tue Apr 10 2001 - kendy@suse.cz
- Wake up Epson Stylus USB printers before sending the print job.
- Added czech translations (czech.dif).
* Mon Apr 02 2001 - utuerk@suse.de
- added cups.conf for susehelp
* Fri Mar 23 2001 - kendy@suse.cz
- USB printers can be now addressed using URI
  usb:<device_without_number>?vendor=<xxxx>&prod_id=<yyyy>
  where <xxxx> and <yyyy> are USB identification numbers.
  (e.g. usb:/dev/usb/lp?vendor=04a9&prod_id=1052 for Canon BJC-6100)
- fixed pplication/dvi -> application/dvi in conf/mime.convs
* Mon Feb 26 2001 - mhafner@suse.de
- update to 1.1.6-3 (fixing several security issues)
* Tue Jan 30 2001 - mhafner@suse.de
- update to 1.1.6 (fixes possible DoS attack)
* Mon Jan 08 2001 - bjacke@suse.de
- added missing reqiures for cups-drivers
* Fri Dec 22 2000 - mhafner@suse.de
- update to version 1.1.5
* Mon Dec 04 2000 - mhafner@suse.de
- cups configuration changed - Browsing now Off by default
* Thu Nov 30 2000 - mhafner@suse.de
- added DVI filter
* Wed Nov 29 2000 - ro@suse.de
- fixed spec
* Tue Nov 28 2000 - ro@suse.de
- fixed startscript
* Fri Nov 24 2000 - mhafner@suse.de
- added rc.config fillup and SuSEconfig script to automatically
  set browse address if demanded
* Wed Nov 22 2000 - mhafner@suse.de
- split into system and development package
* Fri Oct 06 2000 - mhafner@suse.de
- documentation root changed
* Fri Oct 06 2000 - mhafner@suse.de
- update to version 1.1.4
- small changes in spec file
* Mon Sep 25 2000 - mhafner@suse.de
- make post-script succeed unconditionally
* Tue Sep 19 2000 - mhafner@suse.de
- update to version 1.1.3
* Thu Sep 14 2000 - mhafner@suse.de
- restart daemon if already started
- added two little tools (poll_ppd_base, lphelp)
- added a few compatibility links
* Thu Sep 14 2000 - mhafner@suse.de
- turned automatic generation of printcap on
- turned implicit classes off since they are buggy
* Wed Sep 13 2000 - mhafner@suse.de
- fixed directory structure
- added links to lpd and rclpd
* Fri Sep 01 2000 - adrian@suse.de
- added Conflicts line
* Mon Aug 28 2000 - adrian@suse.de
- initial package
